#### PyKDE - Python Bindings for KDE

# class TDEIconCanvas |
Table of contents
Modules
tdefile Classes
All Classes

Module | tdefile
Class | TDEIconCanvas
Inherits | TDEIconView

### methods

- TDEIconCanvas (parent = 0, name = 0)

  returns a TDEIconCanvas instance
  Argument | Type | Default
  --- | --- | ---
  parent | TQWidget | 0
  name | char | 0

- finished ()

  returns nothing

- getCurrent ()

  returns (TQString)

- loadFiles (files)

  returns nothing
  Argument | Type | Default
  --- | --- | ---
  files | TQStringList |

- nameChanged (a0)

  Not Implemented

- progress (a0)

  returns nothing
  Argument | Type | Default
  --- | --- | ---
  a0 | int |

- startLoading (a0)

  returns nothing
  Argument | Type | Default
  --- | --- | ---
  a0 | int |

- stopLoading ()

  returns nothing